/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * PurchaseOrderItemLocal.java
 */

package org.eu.adapt.demonstrator.eb.retailer;

import javax.ejb.EJBException;
import javax.ejb.EJBLocalObject;

public interface PurchaseOrderItemLocal extends EJBLocalObject
{
    public String getNumber()
        throws EJBException;

    public int getQuantity()
        throws EJBException;

    public float getPrice()
        throws EJBException;

    public ProductLocal getProduct()
        throws EJBException;

    public PurchaseOrderLocal getPurchaseOrder()
        throws EJBException;

    public WarehouseLocal getWarehouse()
        throws EJBException;

    public void setWarehouse(WarehouseLocal warehouse)
        throws EJBException;
}
